# Uses of Class
org.eclipse.gef.graph.Node

## Uses of Node in org.eclipse.gef.graph

Methods in org.eclipse.gef.graph that return Node
Modifier and Type
Method
Description
`Node`
Node.Builder.`buildNode()`
Creates a new `Node`, setting the values specified via this `Node.Builder`.
`protected Node`
GraphCopier.`copyNode(Node node)`
Creates a copy of the given node.
`protected Node`
Graph.Builder.`findOrCreateNode(Object key)`
Retrieves the node already created by a builder for the given key, or creates a new one via the respective `Node.Builder`.
`Node`
Graph.`getNestingNode()`
Returns the `Node` in which this `Graph` is nested.
`Node`
Edge.`getSource()`
Returns the source `Node` of this `Edge`.
`Node`
Edge.`getTarget()`
Returns the target `Node` of this `Edge`.
Methods in org.eclipse.gef.graph that return types with arguments of type Node
Modifier and Type
Method
Description
`Set<Node>`
Node.`getAllNeighbors()`
Returns all neighbors of this `Node`.
`Set<Node>`
Node.`getAllPredecessorNodes()`
Returns all predecessor `Node`s of this `Node`.
`Set<Node>`
Node.`getAllSuccessorNodes()`
Returns all successor `Node`s of this `Node`.
`Map<Node,Node>`
GraphCopier.`getInputToOutputNodeMap()`
Returns an (unmodifiable) `Map` from input `Node`s to output `Node`s.
`Map<Node,Node>`
GraphCopier.`getInputToOutputNodeMap()`
Returns an (unmodifiable) `Map` from input `Node`s to output `Node`s.
`Set<Node>`
Node.`getNeighbors()`
Returns all (local) neighbors of this `Node`, i.e. the union of the `getPredecessorNodes()` and `getSuccessorNodes()` .
`javafx.collections.ObservableList<Node>`
Graph.`getNodes()`
Returns the nodes of this Graph.
`Set<Node>`
Node.`getPredecessorNodes()`
Returns the local predecessor `Node`s of this `Node`.
`Set<Node>`
Node.`getSuccessorNodes()`
Returns the local successor `Node`s of this `Node`.
`javafx.beans.property.ReadOnlyListProperty<Node>`
Graph.`nodesProperty()`
Returns a read-only list property containing the `Node`s of this `Graph`.
Methods in org.eclipse.gef.graph with parameters of type Node
Modifier and Type
Method
Description
`protected Node`
GraphCopier.`copyNode(Node node)`
Creates a copy of the given node.
`Graph.Builder`
Graph.Builder.`nodes(Node... nodes)`
Adds the given `Node`s to the `Graph` which is constructed by this `Graph.Builder`.
`void`
Graph.`setNestingNode(Node nestingNode)`
Sets the nesting `Node` of this `Graph`.
`void`
Edge.`setSource(Node source)`
Sets the source `Node` of this `Edge` to the given value.
`void`
Edge.`setTarget(Node target)`
Sets the target `Node` of this `Edge` to the given value.
`protected void`
GraphCopier.`trackCopiedNode(Node inputNode, Node outputNode)`
Maintains a mapping from the input node to the output node.
Method parameters in org.eclipse.gef.graph with type arguments of type Node
Modifier and Type
Method
Description
`<T> Node.Builder`
Node.Builder.`attr(BiConsumer<Node,T> setter, T value)`
Uses the given setter to set the attribute value.
`Graph.Builder`
Graph.Builder.`nodes(Collection<Node> nodes)`
Adds the given `Node`s to the `Graph` which is constructed by this `Graph.Builder`.
Constructors in org.eclipse.gef.graph with parameters of type Node
Modifier
Constructor
Description
``
`Builder(Node sourceNode, Node targetNode)`
Constructs a new (anonymous) context-free `Edge.Builder`, which can only be used to construct a single edge via `Edge.Builder.buildEdge()`, i.e. which cannot be chained.
``
`Edge(Map<String,Object> attributes, Node source, Node target)`
Constructs a new `Edge` which connects the given source `Node` with the given target `Node`.
``
`Edge(Node source, Node target)`
Constructs a new `Edge` which connects the given source `Node` with the given target `Node`.
Constructor parameters in org.eclipse.gef.graph with type arguments of type Node
Modifier
Constructor
Description
``
`Graph(Collection<? extends Node> nodes, Collection<? extends Edge> edges)`
Constructs a new `Graph` from the given nodes, and edges but empty attributes.
``
`Graph(Map<String,Object> attributes, Collection<? extends Node> nodes, Collection<? extends Edge> edges)`
Constructs a new `Graph` from the given attributes, nodes, and edgesProperty.